Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class TechnologiesCustomers
    Inherits BaseObject

    Private _Technologies As Technologies
    Private _Customers As Customers

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("TechnologiesCustomers - Technologies", DefaultContexts.Save)> _
    Property Technologies As Technologies
        Get
            Return _Technologies
        End Get
        Set(value As Technologies)
            SetPropertyValue("Technologies", _Technologies, value)
        End Set
    End Property
    <RuleRequiredField("TechnologiesCustomers - Customers", DefaultContexts.Save)> _
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
End Class
